Page MenuHomePhabricator

[Task] Add Wikidata to extension-gate in CI
Closed, ResolvedPublic

Description

Add Wikidata (or the dependencies that are used to build it) to Jenkins job mediawiki-extensions-hhvm so that its phpunit tests are run for mediawiki/core.

Details

Related Gerrit Patches:
integration/config : masteradd Wikidata to extension-gate
integration/config : masteradd extension-qunit-generic to ext:Wikidata

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 3:51 PM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Apr 16 2015, 3:52 PM

Make sure to avoid problems like in T95897.

JanZerebecki triaged this task as Medium priority.Apr 21 2015, 3:04 PM
JanZerebecki set Security to None.
Jonas renamed this task from Add Wikidata to Jenkins job mediawiki-extensions-hhvm to [Task] Add Wikidata to Jenkins job mediawiki-extensions-hhvm.Aug 15 2015, 12:51 PM

This requires also adding it to mediawiki-extensions-qunit which is currently failing for Wikidata:
https://integration.wikimedia.org/ci/job/mediawiki-extensions-qunit/19035/consoleFull

Change 251134 had a related patch set uploaded (by JanZerebecki):
add extension-qunit-generic to ext:Wikidata

https://gerrit.wikimedia.org/r/251134

Change 251138 had a related patch set uploaded (by JanZerebecki):
add Wikidata to extension-gate

https://gerrit.wikimedia.org/r/251138

JanZerebecki renamed this task from [Task] Add Wikidata to Jenkins job mediawiki-extensions-hhvm to [Task] Add Wikidata to extension-gate in CI.Nov 6 2015, 10:57 AM
JanZerebecki moved this task from Backlog to Proposed on the Wikidata-Sprint-2015-11-03 board.

Change 251134 merged by jenkins-bot:
add extension-qunit-generic to ext:Wikidata

https://gerrit.wikimedia.org/r/251134

Change 251138 merged by jenkins-bot:
add Wikidata to extension-gate

https://gerrit.wikimedia.org/r/251138

JanZerebecki closed this task as Resolved.Jan 28 2016, 7:47 AM
JanZerebecki claimed this task.